PETSc version 3.15.5
Fix/Edit manual page

# PetscSortSplit

Quick-sort split of an array of PetscScalars in place.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortSplit(PetscInt ncut,PetscInt n,PetscScalar a[],PetscInt idx[])

Not Collective

### Input Parameters

| ncut | - splitig index
| n | - number of values to sort
| a | - array of values
| idx | - index for array a

### Output Parameters

| a | - permuted array of values such that its elements satisfy: abs(a[i]) >= abs(a[ncut-1]) for i < ncut and abs(a[i]) <= abs(a[ncut-1]) for i >= ncut
| idx | - permuted index of array a

### See Also

PetscSortInt(), PetscSortRealWithPermutation()

### Level

intermediate

### Location

src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages